## net.sourceforge.pmd.jaxen
Class NodeIterator

    java.lang.Object
      net.sourceforge.pmd.jaxen.NodeIterator

All Implemented Interfaces:
  java.util.Iterator

public abstract class NodeIterator
extends java.lang.Object
implements java.util.Iterator

Author:
  daniels

Constructor Summary
`NodeIterator(Node contextNode)`

Method Summary
`protected Node` `getFirstChild(Node contextNode)`
`protected abstract Node` `getFirstNode(Node contextNode)`
`protected Node` `getLastChild(Node contextNode)`
`protected abstract Node` `getNextNode(Node contextNode)`
`protected Node` `getNextSibling(Node contextNode)`
`protected Node` `getPreviousSibling(Node contextNode)`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeIterator

    public NodeIterator(Node contextNode)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### getFirstNode

    protected abstract Node getFirstNode(Node contextNode)

### getNextNode

    protected abstract Node getNextNode(Node contextNode)

### getPreviousSibling

    protected Node getPreviousSibling(Node contextNode)

### getNextSibling

    protected Node getNextSibling(Node contextNode)

### getFirstChild

    protected Node getFirstChild(Node contextNode)

### getLastChild

    protected Node getLastChild(Node contextNode)

Copyright © 2002-2006 InfoEther. All Rights Reserved.